'///////////////////////////////////////////////////////////////////////////////////////////////
'//
'// DXSystemEx Defines
'//
'// Copyright (c) 2009, Julien TEMPLIER
'// All rights reserved.
'//
'///////////////////////////////////////////////////////////////////////////////////////////////
'// * $LastChangedRevision: 240 $
'// * $LastChangedDate: 2009-07-12 22:20:23 -0400 (Sun, 12 Jul 2009) $
'// * $LastChangedBy: julien.templier $
'///////////////////////////////////////////////////////////////////////////////////////////////
'// 
'// Redistribution and use in source and binary forms, with or without modification, are
'// permitted provided that the following conditions are met:
'//  1. Redistributions of source code must retain the above copyright notice, this list of
'//     conditions and the following disclaimer. 
'//  2. Redistributions in binary form must reproduce the above copyright notice, this list
'//     of conditions and the following disclaimer in the documentation and/or other materials
'//     provided with the distribution. 
'//  3. The name of the author may not be used to endorse or promote products derived from this
'//     software without specific prior written permission. 
'//
'//  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS
'//  OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
'//  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
'//  COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
'//  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
'//  GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
'//  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
'//  OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
'//  POSSIBILITY OF SUCH DAMAGE.
'//
'///////////////////////////////////////////////////////////////////////////////////////////////

' Errors
Const INDEX_SIZE_ERR				    = 1
Const DOMSTRING_SIZE_ERR			    = 2
Const HIERARCHY_REQUEST_ERR		        = 3
Const WRONG_DOCUMENT_ERR			    = 4
Const INVALID_CHARACTER_ERR		        = 5
Const NO_DATA_ALLOWED_ERR			    = 6
Const NO_MODIFICATION_ALLOWED_ERR       = 7
Const NOT_FOUND_ERR				        = 8
Const NOT_SUPPORTED_ERR			        = 9
Const INUSE_ATTRIBUTE_ERR			    = 10
Const INVALID_STATE_ERR			        = 11
Const SYNTAX_ERR					    = 12
Const INVALID_MODIFICATION_ERR          = 13
Const NAMESPACE_ERR				        = 14
Const INVALID_ACCESS_ERR			    = 15
Const VALIDATION_ERR				    = 16
Const TYPE_MISMATCH_ERR			        = 17

' Signature
Const SIGNATURE_SHA1                    = 0

' Download (1.1 only)
Const DOWNLOAD_OK                       = 0
Const DOWNLOAD_NOT_CONNECTED            = 1
Const DOWNLOAD_INTERNAL_ERROR           = 2
Const DOWNLOAD_HTTP_ERROR               = 3
Const DOWNLOAD_FILE_NOT_WRITABLE        = 4
Const DOWNLOAD_FOLDER_NOT_WRITABLE      = 5
Const DOWNLOAD_FOLDER_NOT_EXISTS        = 6

